<div class='ui container segment'>
  <div class='ui form'>
    <div class='fields'>
      <div class="field four wide">
        <label>Space for protected</label>
        <input [(ngModel)]="params.s1" pattern="[0-9]{1,4}" type="number" placeholder="S1">
      </div>
      <div class="field four wide">
        <label>Space for control point</label>
        <input [(ngModel)]="params.s2" pattern="[0-9]{1,4}" type="number" placeholder="S2">
      </div>
      <div class="field four wide">
        <label>Gateway platform, corridors</label>
        <input [(ngModel)]="params.s3" pattern="[0-9]{1,4}" type="number" placeholder="S3">
      </div>
      <div class="field four wide">
        <label>Health units</label>
        <input [(ngModel)]="params.s4" pattern="[0-9]{1,4}" type="number" placeholder="S4">
      </div>
    </div>
    <div classs='four fields'>
      <div class="field">
        <label>Storage room for products</label>
        <input [(ngModel)]="params.s5" pattern="[0-9]{1,4}" type="number" placeholder="S5">
      </div>
      <div class="field">
        <label>Height</label>
        <input [(ngModel)]="params.h" pattern="\d+(\.\d{2})?" type="number" placeholder="h">
      </div>
      <div class="field">
        <label>Largest number of people</label>
        <input [(ngModel)]="params.N1" pattern="[0-9]{1,4}" type="number" placeholder="N1">
      </div>
      <div class="field">
        <label>Number of FVK-1</label>
        <input [(ngModel)]="params.n1" pattern="[0-9]{1,4}" type="number" placeholder="n1">
      </div>
    </div>
    <div class='fields'>
      <div class="field four wide">
        <label>Number of ERV-72-2</label>
        <input [(ngModel)]="params.n2" pattern="[0-9]{1,4}" type="number" placeholder="n2">
      </div>
      <div class="field four wide">
        <label>Climatic zone</label>
        <input [(ngModel)]="params.n3" pattern="[0-9]{1,4}" type="number" placeholder="n3">
      </div>
      <div class="field eight wide">
        <label>Number of people on the control point</label>
        <input [(ngModel)]="params.N2" pattern="[0-9]{1,4}" type="number" placeholder="N2">
      </div>
    </div>
  </div>
  <div class='ui button orange' (click)='calculate()'>Calculate</div>
</div>
<div class='ui container  orange segment'>
  <h5 class="ui header">Results:</h5>
  <p *ngFor='let result of results' >{{result}}</p>
</div>